#
# spec file for package python-PyAudio
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-PyAudio
Version:        0.2.8
Release:        1.1
Summary:        Python Bindings for PortAudio v19
License:        MIT
Group:          Development/Libraries/Python
Url:            http://people.csail.mit.edu/hubert/pyaudio/
Source0:        http://people.csail.mit.edu/hubert/pyaudio/packages/pyaudio-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  portaudio-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PyAudio provides Python bindings for PortAudio v19, the cross-platform audio I/O library.
With PyAudio, you can easily use Python to play and record audio streams on a variety
of platforms (e.g., GNU/Linux, Microsoft Windows, and Mac OS X).

%package docs
Summary:        Documentation for %{name}
Group:          Development/Libraries/Python

%description docs
Documentation and help files for %{name}

%prep
%setup -q -n PyAudio-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%fdupes -s %{buildroot}/%{_prefix}
rm -r docs/.doctrees
rm -r docs/.buildinfo

%files
%defattr(-,root,root)
%doc CHANGELOG README
%{python_sitearch}/_portaudio.so
%{python_sitearch}/pyaudio.py*
%{python_sitearch}/PyAudio-%{version}-py*.egg-info

%files docs
%defattr(-,root,root)
%doc docs

%changelog
* Mon Jul 14 2014 toddrme2178@gmail.com
- Update to 0.2.8
  * bug fixes related to the Python GIL and device name encoding.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Nov  2 2012 prusnak@opensuse.org
- updated to 0.2.7
* Wed Oct  3 2012 mvyskocil@suse.com
- initial packaging of python-PyAudio for openSUSE
